%global collection_namespace community
%global collection_name docker
%global forgeurl https://github.com/ansible-collections/%{collection_namespace}.%{collection_name}

# Tests are excluded, for now. They require network access and a specific build directory layout.
%bcond_with     tests

# Docs are not built, for now.
%bcond_with     docs

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        2.4.0
%global tag     %{version}
%forgemeta
Release:        1%{?dist}
Summary:        Ansible modules and plugins for working with Docker

License:        GPLv3+
URL:            %{ansible_collection_url}
Source0:        %{forgesource}
Source1:        %{name}.rpmlintrc

# Needed for %%py3_shebang_fix.
Buildrequires:  python3-devel

BuildRequires:  ansible-packaging
# Prefer ansible-core
Suggests:       ansible-core

BuildArch:      noarch


%description
%{name} provides the %{collection_namespace}.%{collection_name}
Ansible collection. The collection includes Ansible modules and plugins for
working with Docker.


%prep
%forgeautosetup
find -type f -name '.gitignore' -print -delete
rm -vr .github .azure-pipelines changelogs/fragments/.keep %{!?with_tests:tests} %{!?with_docs:docs}
%global py3_shbang_opts %{nil}
%py3_shebang_fix .


%build
%ansible_collection_build


%install
%ansible_collection_install


%check


%files
%license COPYING
%doc README.md CHANGELOG.rst
%{ansible_collection_files}


%changelog
* Mon Apr 25 2022 Maxwell G <gotmax@e.email> - 2.4.0-1
- Update to 2.4.0.

* Wed Apr 06 2022 Maxwell G <gotmax@e.email> - 2.3.0-1
- Preform initial import (rhbz#2028702).

* Fri Apr 01 2022 Maxwell G <gotmax@e.email> - 2.3.0-0
- Update to 2.3.0.

* Mon Feb 21 2022 Maxwell G <gotmax@e.email> - 2.2.0-1
- Update to 2.2.0. Fix shebangs. Switch to ansible-packaging.

* Thu Dec 16 2021 Maxwell G <gotmax@e.email> - 2.0.2-1
- Update to 2.0.2.

* Thu Dec 02 2021 Maxwell G <gotmax@e.email> - 2.0.1-1
- Initial package
